Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Class NamespaceNameClass

    java.lang.Object
      com.sun.msv.grammar.NameClass
          com.sun.msv.grammar.NamespaceNameClass

All Implemented Interfaces:
  java.io.Serializable

public class NamespaceNameClass
extends NameClass

NameClass that matchs any names in a particular namespace.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `namespaceURI`

Fields inherited from class com.sun.msv.grammar.NameClass
`ALL, LOCALNAME_WILDCARD, NAMESPACE_WILDCARD, NONE`

Constructor Summary
`NamespaceNameClass(java.lang.String namespaceURI)`

Method Summary
`boolean` | `accepts(java.lang.String namespaceURI, java.lang.String localName)` accepts a name if its namespace URI matches to the namespaceURI field.
`java.lang.String` | `toString()`
`java.lang.Object` | `visit(NameClassVisitor visitor)` visitor pattern support

Methods inherited from class com.sun.msv.grammar.NameClass
`accepts, includes, intersection, isEqualTo, isNull, simplify, union`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### namespaceURI

    public final java.lang.String namespaceURI

Constructor Detail

### NamespaceNameClass

    public NamespaceNameClass(java.lang.String namespaceURI)

Method Detail

### accepts

    public boolean accepts(java.lang.String namespaceURI,
                           java.lang.String localName)

  accepts a name if its namespace URI matches to the namespaceURI field.

  Specified by:
    `accepts` in class `NameClass`
  Parameters:
    `namespaceURI` - namespace URI to be tested. If this value equals to NAMESPACE_WILDCARD, implementation must assume that valid namespace is specified. this twist will be used for error diagnosis.
    `localName` - local part to be tested. As with namespaceURI, LOCALNAME_WILDCARD will acts as a wild card.
  Returns:
    true if the pair is accepted, false otherwise.

### visit

    public java.lang.Object visit(NameClassVisitor visitor)

  Description copied from class: `NameClass`
  visitor pattern support

  Specified by:
    `visit` in class `NameClass`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD